.\" $NetBSD: uftdi.4,v 1.15 2009/05/24 16:32:58 nisimura Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 24, 2009
.Dt UFTDI 4
.Os
.Sh NAME
.Nm uftdi
.Nd USB support for serial adapters based on the FT8U100AX and FT8U232AM
.Sh SYNOPSIS
.Cd "uftdi* at uhub?"
.Cd "ucom*  at uftdi?"
.Sh DESCRIPTION
The
.Nm
driver provides support for various serial adapters based on the FTDI USB
UART IC family.
Supported chip models are FT8U100AX, FT8U232AM, FT232BM, FT232R,
dual channel FT2232D, dual channel FT2232H, and quad channel FT4232H.
.Pp
The device is accessed through the
.Xr ucom 4
driver which makes it behave like a
.Xr tty 4 .
.Sh HARDWARE
The
.Nm
driver supports the following adapters:
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Tn B\*[Am]B Electronics uLinks RS-422/485
.It Tn Coastal ChipWorks TNC-X
.It Tn Crystalfontz CFA-631 LCD
.It Tn Crystalfontz CFA-632 LCD
.It Tn Crystalfontz CFA-633 LCD
.It Tn Crystalfontz CFA-634 LCD
.It Tn Crystalfontz CFA-635 LCD
.It Tn Falcom Samba 55/56 GSM/GPRS modem
.It Tn Falcom Twist GSM/GPRS modem
.It Tn Future Technology Devices DB9
.It Tn Future Technology Devices IC
.It Tn Future Technology Devices KW
.It Tn Future Technology Devices RS232
.It Tn Future Technology Devices Y6
.It Tn Future Technology Devices Y8
.It Tn Future Technology Devices Y9
.It Tn Future Technology Devices YS
.It Tn HP USB-Serial adapter shipped with some HP laptops
.It Tn Inland UAS111
.It Tn Interpid Control Systems NeoVI Blue
.It Tn Interpid Control Systems ValueCAN
.It Tn Matrix Orbital LK/VK/PK202-24 LCD
.It Tn Matrix Orbital LK/VK204-24 LCD
.It Tn Matrix Orbital MX2/MX3/MX6 Series
.It Tn Matrix Orbital MX4/MX5 Series LCD
.It Tn QVS USC-1000
.It Tn Robot Electronics USB to I2C Communications Module
.It Tn SIIG US2308 Serial
.It Tn Sealevel Systems USB-Serial adapter
.It Tn VScom USB-COM Mini
.El
.Sh SEE ALSO
.Xr tty 4 ,
.Xr ucom 4 ,
.Xr usb 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.5 .
